# class KDatePicker | A date selection widget. More...
Definition | `#include <kdatepik.h>`
Inherits | QFrame (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDatePicker (QWidget *parent=0, QDate=QDate::currentDate(), const char *name=0)
- virtual ~KDatePicker ()
- QSize sizeHint () const
- bool setDate (const QDate&)
- const QDate& getDate ()
- void setEnabled (bool)
- void setFontSize (int)
- int fontSize () const

#### Signals

- void dateSelected (QDate)
- void dateEntered (QDate)
- void tableClicked ()

#### Protected Methods

- void resizeEvent (QResizeEvent*)

#### Protected Slots

- void dateChangedSlot (QDate)
- void tableClickedSlot ()
- void monthForwardClicked ()
- void monthBackwardClicked ()
- void yearForwardClicked ()
- void yearBackwardClicked ()
- void selectMonthClicked ()
- void selectYearClicked ()
- void lineEnterPressed ()

#### Protected Members

- QToolButton *yearForward
- QToolButton *yearBackward
- QToolButton *monthForward
- QToolButton *monthBackward
- QToolButton *selectMonth
- QToolButton *selectYear
- QLineEdit *line
- KDateValidator *val
- KDateTable *table
- QSize maxMonthRect

## Detailed Description

Provide a widget for calendar date input.

Different from the previous versions, it now emits two types of signals, either dateSelected() or dateEntered() (see documentation for both signals).

A line edit has been added in the newer versions to allow the user to select a date directly by entering numbers like 19990101 or 990101.

KDatePicker (QWidget *parent=0, QDate=QDate::currentDate(), const char *name=0) | ### KDatePicker

The usual constructor. The given date will be displayed initially.

~KDatePicker () | ### ~KDatePicker

[virtual]

The destructor.

QSize sizeHint () | ### sizeHint

[const]

The size hint for KDatePickers. The size hint recommends the minimum size of the widget so that all elements may be placed without clipping. This sometimes looks ugly, so when using the size hint, try adding 28 to each of the reported numbers of pixels.

Reimplemented from QFrame.

bool setDate (const QDate&) | ### setDate

Set the date.

Returns: `false` and does not change anything if the date given is invalid.

const QDate& getDate () | ### getDate

Retrieve the date.

void setEnabled (bool) | ### setEnabled

Enable or disable the widget.

void setFontSize (int) | ### setFontSize

Set the font size of the widgets elements.

int fontSize () | ### fontSize

[const]

Font size of the widget elements.

void resizeEvent (QResizeEvent*) | ### resizeEvent

[protected]

Reimplemented from QFrame.

QToolButton * yearForward | ### yearForward

[protected]

QToolButton * yearBackward | ### yearBackward

[protected]

QToolButton * monthForward | ### monthForward

[protected]

QToolButton * monthBackward | ### monthBackward

[protected]

QToolButton * selectMonth | ### selectMonth

[protected]

QToolButton * selectYear | ### selectYear

[protected]

QLineEdit * line | ### line

[protected]

KDateValidator * val | ### val

[protected]

KDateTable * table | ### table

[protected]

QSize maxMonthRect | ### maxMonthRect

[protected]

void dateChangedSlot (QDate) | ### dateChangedSlot

[protected slots slot]

void tableClickedSlot () | ### tableClickedSlot

[protected slots slot]

void monthForwardClicked () | ### monthForwardClicked

[protected slots slot]

void monthBackwardClicked () | ### monthBackwardClicked

[protected slots slot]

void yearForwardClicked () | ### yearForwardClicked

[protected slots slot]

void yearBackwardClicked () | ### yearBackwardClicked

[protected slots slot]

void selectMonthClicked () | ### selectMonthClicked

[protected slots slot]

void selectYearClicked () | ### selectYearClicked

[protected slots slot]

void lineEnterPressed () | ### lineEnterPressed

[protected slots slot]

void dateSelected (QDate) | ### dateSelected

[signal]

This signal is emitted each time the selected date is changed. Usually, this does not mean that the date has been entered, since the date also changes, for example, when another month is selected.

See also: dateSelected, */, void, dateChanged(QDate);, /**, This, signal, is, emitted, each, time, a, day, has, been, selected, by, clicking, on, the, table, (hitting, a, day, in, the, current, month)., It, has, the, same, meaning, as, dateSelected(), in, older, versions, of, KDatePicker.

void dateEntered (QDate) | ### dateEntered

[signal]

This signal is emitted when enter is pressed and a VALID date has been entered before into the line edit. Connect to both dateEntered() and dateSelected() to receive all events where the user really enters a date.

void tableClicked () | ### tableClicked

[signal]

This signal is emitted when the day has been selected by clicking on it in the table.

- Version: $Id: kdatepik.h,v 1.15 2000/06/25 16:52:16 dsweet Exp $
- Author: Tim Gilman, Mirko Sucker
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.